Get Viewed Catalog Items by ID
1 min
GET
https://api.upstartcommerce.com/v1/siteactivity/customer/{customerId}/catalog
customerIdstring<uuid>Unique identifier for the consumer.
fromstring<date-time><p>Start date for filtering viewed items (ISO 8601 format). If not specified, returns all items.</p>
tostring<date-time><p>End date for filtering viewed items (ISO 8601 format). If not specified, returns items up to current time.</p>
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success–viewed catalog items returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request GET \
--url https://api.upstartcommerce.com/v1/siteactivity/customer/{customerId}/catalog \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'